Subject: Make can't find command
From: [email-masked] (Simon Blanchard)

24 Nov 1996 06:33:29 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (X11; I; IRIX64 6.2 IP19)
Original-To: [email-masked]
Original-Sender: [email-masked]

I have a Makefile that looks like the one below

#
# Test makefile
#

host := $(shell hosttype)

all:
	echo $(PATH)

# end makefile

When I try to run it I get:

"make: hosttype: Command not found"

But at the shell prompt I can execute hosttype:

bash$ hosttype
nt-3.51-i386
bash$

And the PATH that's echoed in the above Makefile shows the directory
where hosttype resides.

Any thought?

thanks

simonb
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".